﻿Imports Microsoft.Xna.Framework
Imports Microsoft.Xna.Framework.Graphics
Imports Microsoft.Xna.Framework.Audio
Imports Microsoft.Xna.Framework.Content
Imports Microsoft.Xna.Framework.Media
Imports Microsoft.Xna.Framework.Input
Namespace demo


    Public Class clshelp
        Inherits Screen
        'Fields in our game graphic manager etc'
        Dim game As Game
        Dim font1 As SpriteFont
        Dim mymenu As clsmenu


        Public Sub New(game_ As Game)
            Me.game = game_
            Me.IsPopup = True
            Me.TransitionDuration = 0
            '

            'graphics.ToggleFullScreen()
            game_.Window.Title = "Controls"
            'Graphics.PreferredBackBufferWidth = 800
            'Graphics.PreferredBackBufferHeight = 500
        End Sub


        Protected Overrides Sub OnLoad()
            font1 = game.Content.Load(Of SpriteFont)("xnb\myfont")

            MyBase.OnLoad()
            ' TODO: use this.Content to load your game content here'
            '...
        End Sub
        Private Sub updateinput(ByVal gameTime As GameTime)
            Dim newState As KeyboardState = Keyboard.GetState

            If (newState.IsKeyDown(Keys.F10)) Then
                If mymenu Is Nothing Then
                    mymenu = New clsmenu(Me.game)
                    ScreenManager.ShowScreen(mymenu)
                    Me.Close()
                End If
            End If
        End Sub

        Protected Overrides Sub OnUpdate(ByVal gameTime As Microsoft.Xna.Framework.GameTime)

            'TODO: Add your update logic here'

            updateinput(gameTime)
            '
            MyBase.OnUpdate(gameTime)
        End Sub

        Protected Overrides Sub OnDraw(ByVal gameTime As Microsoft.Xna.Framework.GameTime)
            'TODO: Add your drawing code here'
            game.GraphicsDevice.Clear(Color.Black)
            ScreenManager.SpriteBatch.DrawString(font1, "Player 1", New Vector2(100, 80), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "UP (or PAD 1 Right Shoulder) - Speed UP", New Vector2(100, 100), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Down (or PAD 1 Left Shoulder) - Speed Down", New Vector2(100, 120), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Left (or PAD 1 Button A)  - Rotate Left", New Vector2(100, 140), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Right (or PAD 1 Button X) - Rotate Right", New Vector2(100, 160), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Player 2", New Vector2(100, 200), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Z (or PAD 2 Right Shoulder) - Speed UP", New Vector2(100, 220), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "S (or PAD 2 Left Shoulder) - Speed Down", New Vector2(100, 240), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Q (or PAD 2 Button A)  - Rotate Left", New Vector2(100, 260), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "D (or PAD 2 Button X) - Rotate Right", New Vector2(100, 280), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "General", New Vector2(100, 320), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "F3 - Start Game", New Vector2(100, 340), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            'ScreenManager.SpriteBatch.DrawString(font1, "F4 - Start 2 players", New Vector2(100, 360), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "F10 - Back to main menu", New Vector2(100, 360), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "Press F10 to leave this screen", New Vector2(100, 420), Color.White, 0, New Vector2(0, 0), 0.5F, SpriteEffects.None, 0)
            MyBase.OnDraw(gameTime)
        End Sub
    End Class

End Namespace
