﻿Imports Microsoft.Xna.Framework
Imports Microsoft.Xna.Framework.Graphics
Imports Microsoft.Xna.Framework.Audio
Imports Microsoft.Xna.Framework.Content
Imports Microsoft.Xna.Framework.Media
Imports Microsoft.Xna.Framework.Input
Namespace demo
    Public Class clsmenu
        Inherits screen
        'Fields in our game graphic manager etc'
        Dim game As Game
        Dim font1 As SpriteFont
        Dim mygame As clsGame
        Dim myhelp As clshelp


        Public Sub New(game_ As Game)
            Me.game = game_
            Me.IsPopup = True
            Me.TransitionDuration = 0
            '

            'graphics.ToggleFullScreen()
            game_.Window.Title = "Menu"
            'Graphics.PreferredBackBufferWidth = 800
            'Graphics.PreferredBackBufferHeight = 500
        End Sub




        Protected Overrides Sub OnLoad()

            font1 = game.Content.Load(Of SpriteFont)("xnb\myfont")

            MyBase.OnLoad()
            ' TODO: use this.Content to load your game content here'
            '...
        End Sub
        Private Sub updateinput(ByVal gameTime As GameTime)
            Dim newState As KeyboardState = Keyboard.GetState

            If (newState.IsKeyDown(Keys.F1)) Then
                If mygame Is Nothing Then
                    mygame = New clsGame(Me.game)
                    ScreenManager.ShowScreen(mygame)
                    Me.Close()
                End If
            End If

            If (newState.IsKeyDown(Keys.F2)) Then
                If mygame Is Nothing Then
                    mygame = New clsGame(Me.game)
                    ScreenManager.ShowScreen(mygame)
                    Me.Close()
                End If
            End If

            If (newState.IsKeyDown(Keys.F5)) Then
                If myhelp Is Nothing Then
                    myhelp = New clshelp(Me.game)
                    ScreenManager.ShowScreen(myhelp)
                    Me.Close()
                End If
            End If

            If (newState.IsKeyDown(Keys.Escape)) Then
                Application.Exit()
            End If

        End Sub

        Protected Overrides Sub OnUpdate(ByVal gameTime As Microsoft.Xna.Framework.GameTime)

            'TODO: Add your update logic here'

            updateinput(gameTime)
            '
            MyBase.OnUpdate(gameTime)
        End Sub

        Protected Overrides Sub OnDraw(ByVal gameTime As Microsoft.Xna.Framework.GameTime)
            'TODO: Add your drawing code here'
            game.GraphicsDevice.Clear(Color.Black)
            ScreenManager.SpriteBatch.DrawString(font1, "F1 - 1 player game", New Vector2(100, 100), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "F2 - 2 players game", New Vector2(100, 120), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "F5 - Help", New Vector2(100, 140), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            ScreenManager.SpriteBatch.DrawString(font1, "ESC - Exit Game", New Vector2(100, 160), Color.White, 0, New Vector2(0, 0), 0.75F, SpriteEffects.None, 0)
            MyBase.OnDraw(gameTime)
        End Sub
    End Class

End Namespace
